Special Aircraft Service

Individual Mod Downloads for IL-2 1946 => SAS Essentials / Basic Mods => SAS Modact => Topic started by: SAS~Storebror on February 08, 2017, 08:41:45 AM

Title: SAS Modact 6.3 for IL-2 4.13.3m [4.13]
Post by: SAS~Storebror on February 08, 2017, 08:41:45 AM
(https://www.sas1946.rocks/flickr/storebror/496/32630787242_b2fed6cdff_o.jpg)

A belated Groundhog Day!
Time for Modact 6.3!



Often licked, never beaten:
The SAS Seriously KickAss Mod Activator v6.30 for IL-2 4.13.3m!!



Contents:



Modact 6.3x



AI Flyables Pack 6.3x (not yet available)



SAS Featured JSGME Optional Mods for Modact 6.3x

SAS Featured JSGME Optional Mods Package Contents:



Cheers to SAS Team and Modders for testing

Special thanks (with no claim of completeness) go to:

8) Salut!

SAS~Storebror aka Mike
Title: Download Links for SAS Modact 6.30 [4.13]
Post by: SAS~Storebror on February 08, 2017, 08:41:46 AM
DOWNLOAD LINKS for MODACT v6.30 for 4.13.3m: (131 MB)
Please note it is STRONGLY suggested you start with a fresh 4.13.3m install before switching over to Modact 6.30

Modact 6.30 (Mediafire) (http://www.mediafire.com/file/co1t7vq14mifkeb)

Other Mirrors welcome, please post download links in this thread, thanks!

~ Torrent: (not yet available)
Please note that a fair use of Torrents implies that you keep seeding the downloaded file at least until you reached an Up:Download ratio of 2.0 on that file.
Cutting the line before this ratio has been reached would be unfair to other members who rely on Torrent seeders for that file, too.
Remember: Others like good download speed the same like you did!
Title: Download Links for SAS Modact 6.3x Patches [4.13]
Post by: SAS~Storebror on February 08, 2017, 08:41:47 AM
No Patches yet.
Title: Installation Instructions for SAS Modact 6.30 [4.13]
Post by: SAS~Storebror on February 08, 2017, 08:41:48 AM
Installation Instructions for SAS Modact 6.30:

Run the self-extracting installer, select your IL-2 4.13.3m game folder as target for installation, let the installer do it's job, run the game and enjoy!
(Please note it is STRONGLY suggested you start with a fresh 4.13.3m install before switching over to Modact 6.30)


For those who still want to upgrade their existing Modact Installation, this is the way which worked for the developers, though it's still strictly unsupported and in case of trouble you have to start with a fresh 4.13.3m installation instead of asking for support (which you won't get in that case):


For users who have an older Modact 5.x/4.0/3.0x and need to upgrade:

Unfortunately we don’t have much good news for you. With any game version change, it brings multiple changes and it is difficult to predict all of the side-effects. Therefore as much as pain it is, we STRONGLY recommend you create a fresh Il-2 install, patched all the way to 4.13.3m before installing Modact 6.30. For those still on Modact v3.06/v4.0, DBW 1.71 4.101m, HSFX 6 installs, they aren’t lost forever. We suggest porting your mods across one by one and seeing what happens.

You can try just patching your current install to 4.13.3m and plonking this over the top but it is likely it won’t work. You should do this at your own risk!
Title: Installation Instructions for SAS Modact 6.3x Patches [4.13]
Post by: SAS~Storebror on February 08, 2017, 08:41:49 AM
No Patches yet.
Title: Changelog, Hints, Known Bugs etc. for SAS Modact 6.3x [4.13]
Post by: SAS~Storebror on February 08, 2017, 08:41:50 AM
Modact 6.3x Changelog (newest first):
Code: [Select]
*** Modact 6.30 (Full Package): ***

- supported base game version: 4.13.3m

Known Bugs:
Code: [Select]
* CTO Mod doesn't support angle carrier decks yet.
Hints:
Like to have some HSFX eye candy in Modact 6?
Easy to achieve: Just copy all fb_hfx*.sfs files from your HSFX 7 folder to the "SFS_AUTO" folder of Modact 6.
It's about 5 Gigabytes in total, bear with us that we don't mirror that amount of data here. If you like the files, download HSFX 7 and you get them for free.

New handling of conf.ini's Hakenkreuz setting
With Modact 6.3 we've opted to enable the Hakenkreuz per default.
If you want to disable it, either activate the Hakenkreuz disabler in JSGME or open your conf.ini, search for the "[game]" section, add a line "HakenAllowed=0" (or change "HakenAllowed=1" to "HakenAllowed=0" if such line already exists).
Title: Download Links for SAS AI Flyables Pack 6.30 [4.13]
Post by: SAS~Storebror on February 08, 2017, 08:41:51 AM
Not available yet, we're working on it.
Title: Download Links for SAS AI Flyables Pack 6.3x Patches [4.13]
Post by: SAS~Storebror on February 08, 2017, 08:41:52 AM
No Patches yet.
Title: Installation Instructions for SAS AI Flyables Pack 6.30 [4.13]
Post by: SAS~Storebror on February 08, 2017, 08:41:53 AM
Not available yet, we're working on it.
Title: Installation Instructions for SAS AI Flyables Pack 6.3x Patches [4.13]
Post by: SAS~Storebror on February 08, 2017, 08:41:54 AM
No Patches yet, hence no installation instructions.
Title: Changelog, Hints, Known Bugs etc. for SAS AI Flyables Pack 6.3x [4.13]
Post by: SAS~Storebror on February 08, 2017, 08:41:55 AM
No Hints yet.
Title: Download Links for SAS Featured JSGME Optional Mods for Modact 6.3x [4.13]
Post by: SAS~Storebror on February 08, 2017, 08:41:56 AM
DOWNLOAD LINKS for SAS Featured JSGME Optional Mods for Modact 6.3x: (103 MB)
A working Modact 6.3x installation is required for this pack!

JSGME Mods for Modact 6.3x (Mediafire) (http://www.mediafire.com/file/ipcytoqq2xyvauo)

Other Mirrors welcome, please post download links in this thread, thanks!

~ Torrent: (Not available yet)
Please note that a fair use of Torrents implies that you keep seeding the downloaded file at least until you reached an Up:Download ratio of 2.0 on that file.
Cutting the line before this ratio has been reached would be unfair to other members who rely on Torrent seeders for that file, too.
Remember: Others like good download speed the same like you did!
Title: Download Links for SAS Featured JSGME Optional Mod Patches for Modact 6.3 [4.13]
Post by: SAS~Storebror on February 08, 2017, 08:41:57 AM
No Patches yet.
Title: Installation Instructions for SAS JSGME Mods for Modact 6.3 [4.13]
Post by: SAS~Storebror on February 08, 2017, 08:41:58 AM
Installation Instructions for SAS Featured JSGME Optional Mods for Modact 6.3:

Run the self-extracting installer, select your IL-2 4.13.3m + Modact 6.3x game folder as target for installation and let the installer do it's job.
Activate any mods of your choice in JSGME, run the game and enjoy!

(Please note that a working IL-2 4.13.3m + Modact 6.3x installation is required for this Pack!)


For upgrading instructions please refer to the regarding part of the Installation Instructions for SAS Modact 6.30 (http://www.sas1946.com/main/index.php/topic,53983.msg587295.html#msg587295) Post.
Title: Installation Instructions for SAS JSGME Mod Patches for Modact 6.3 [4.13]
Post by: SAS~Storebror on February 08, 2017, 08:41:59 AM
No patches yet.
Title: Changelog, Hints, Known Bugs etc. for JSGME Mod Patches for Modact 6.3 [4.13]
Post by: SAS~Storebror on February 08, 2017, 08:42:00 AM
No Patches yet, hence no hints.
Title: Re: SAS Modact 6.3 for IL-2 4.13.3m [4.13]
Post by: SAS~Storebror on February 08, 2017, 10:14:31 AM
Have fun with Modact 6.3 folks 8)
Title: Re: SAS Modact 6.3 for IL-2 4.13.3m
Post by: urmel on February 08, 2017, 10:38:45 AM
Maby Thanks Storebror !!!
Title: Re: SAS Modact 6.3 for IL-2 4.13.3m [4.13]
Post by: Treetop64 on February 08, 2017, 09:22:56 PM
That was - unexpectedly rapid.  :)

On the way home today I was wondering when a ModAct would be available for 4.13.3.  I show up and here it is!

Thanks!

Gotta bunch of stuff to move over from ModAct 6.2 #SAS file.  This is gunna be grate!
Title: Re: SAS Modact 6.3 for IL-2 4.13.3m [4.13]
Post by: Zoran395 on February 10, 2017, 03:04:52 PM
Thank you very much Mike!
I am on 4.13.2 + DGenPack 1.3 but having done a bit of work for the 4.13.3 release I am keen on hacking it (that dead slow U-2 is quite something).
But when am I going to work on my map ....?? First world problems I guess!
Noch einmal, vielen Dank aus Australien!
Title: Re: SAS Modact 6.3 for IL-2 4.13.3m [4.13]
Post by: Pisces72 on February 21, 2017, 05:22:18 AM
Thank you very much. I completely forgot my old login so I had to create a new account just to say thanks. Will report any bugs :)
Title: Re: SAS Modact 6.3 for IL-2 4.13.3m [4.13]
Post by: Dogbert on February 21, 2017, 02:18:39 PM
Many thanks and appreciation for this.

I now have 4 installs of 1946 and still cannot decide which i prefer (BAT,CUP,VP & v4.13.3)   ;D ;D ;)

Thanks again for all the great content guys.  8) 8)

Mike.
Title: Re: SAS Modact 6.3 for IL-2 4.13.3m [4.13]
Post by: stugumby on March 08, 2017, 11:26:25 AM
Dont know if this is the right place to post this but I observed this today and thought i should pass it on. Just saw this when rebuilding a older mission from CCC to U-2, for some reason the 2 sharp nosed SB bombers loose their props after spawning, and if in air just explode. I had the prop and spinner mod enabled, disabled it and still it occured. used selector to go to game stock and it did not occur.
(https://s24.postimg.cc/7mse7ru4l/2017_03_08_18_16_01.jpg) (https://postimg.cc/image/5i816osht/)
Title: Re: SAS Modact 6.3 for IL-2 4.13.3m [4.13]
Post by: SAS~Storebror on March 09, 2017, 03:09:48 AM
Thanks for the heads up.
The error means that the engine is missing in Modact's buttons file.
We'll patch it.
Two weeks, be sure ;)

Best regards - Mike
Title: Re: SAS Modact 6.3 for IL-2 4.13.3m [4.13]
Post by: torgear1 on March 22, 2017, 01:26:29 PM
I just want to ask before I try to install.

But, this wont work alongside of ultra pack will it?
Title: Re: SAS Modact 6.3 for IL-2 4.13.3m [4.13]
Post by: Uzin on April 11, 2017, 02:19:56 PM
I have succesfully installed Il-2 ver.4.13.3 SAS modact 6.30, but after installing  jgsme addition, I have not Forgotten countries . What can be wrong, please ?
Title: Re: SAS Modact 6.3 for IL-2 4.13.3m [4.13]
Post by: SAS~Storebror on April 12, 2017, 09:06:18 AM
Nothing's wrong, Forgotten Countries are not included in Modact 6.x.

Best regards - Mike
Title: Re: SAS Modact 6.3 for IL-2 4.13.3m [4.13]
Post by: Nephris on April 13, 2017, 04:45:52 PM
I guess I shouldnt update to 4.13.4  (http://forum.1cpublishing.eu/showthread.php?t=229975)to keep my Modact 6.3 Install working?
Title: Re: SAS Modact 6.3 for IL-2 4.13.3m [4.13]
Post by: SAS~Storebror on April 13, 2017, 11:58:46 PM
Your guess is right.
Each new TD patch requires a new corresponding Modact.
It's a bit tiresome to run behind them, so please don't expect it to be ready within the next 5 minutes.
Those who can't wait will always be served elsewhere.
For our Modact you will have to wait a tiny little bit longer.

Best regards - Mike

@edit: Edited because the initial post was used to justify stealing, badmouthing and hacking.
Title: Re: SAS Modact 6.3 for IL-2 4.13.3m [4.13]
Post by: 1941UH on August 04, 2017, 10:37:05 AM
I am having trouble with getting the 6.3 Modact to run.  I have followed the recommended procedures with a clean copy of 4.13.3M and it crashes at 5% when loading.  I have re-downloaded the code and re-installed several times without luck. Here is the error messages out of the log file.
Code: [Select]
[3:32:30 AM] ERROR sfs: SFS library (fb_3do28.sfs) NOT Mounted: No such file or directory: fb_3do28.sfs
[3:32:30 AM] com.maddox.rts.SFSException: No such file or directory: fb_3do28.sfs
[3:32:30 AM] at com.maddox.rts.SFS.mount(Native Method)
[3:32:30 AM] at com.maddox.rts.cmd.CmdSFS.exec(CmdSFS.java:35)
[3:32:30 AM] at com.maddox.rts.CmdEnv.exec(CmdEnv.java:655)
[3:32:30 AM] at com.maddox.rts.cmd.CmdFile.exec(CmdFile.java:132)
[3:32:30 AM] at com.maddox.rts.CmdEnv.exec(CmdEnv.java:655)
[3:32:30 AM] at com.maddox.il2.game.Main3D.beginApp(Main3D.java:1606)
[3:32:30 AM] at com.maddox.il2.game.Main3D.beginApp(Main3D.java:1551)
[3:32:30 AM] at com.maddox.il2.game.MainWin3D.beginApp(MainWin3D.java:212)
[3:32:30 AM] at com.maddox.il2.game.Main.exec(Main.java:451)
[3:32:30 AM] at com.maddox.il2.game.GameWin3D.main(GameWin3D.java:235)
[3:32:30 AM] ERROR sfs: SFS library (fb_3do29.sfs) NOT Mounted: No such file or directory: fb_3do29.sfs
[3:32:30 AM] com.maddox.rts.SFSException: No such file or directory: fb_3do29.sfs
[3:32:30 AM] at com.maddox.rts.SFS.mount(Native Method)
[3:32:30 AM] at com.maddox.rts.cmd.CmdSFS.exec(CmdSFS.java:35)
[3:32:30 AM] at com.maddox.rts.CmdEnv.exec(CmdEnv.java:655)
[3:32:30 AM] at com.maddox.rts.cmd.CmdFile.exec(CmdFile.java:132)
[3:32:30 AM] at com.maddox.rts.CmdEnv.exec(CmdEnv.java:655)
[3:32:30 AM] at com.maddox.il2.game.Main3D.beginApp(Main3D.java:1606)
[3:32:30 AM] at com.maddox.il2.game.Main3D.beginApp(Main3D.java:1551)
[3:32:30 AM] at com.maddox.il2.game.MainWin3D.beginApp(MainWin3D.java:212)
[3:32:30 AM] at com.maddox.il2.game.Main.exec(Main.java:451)
[3:32:30 AM] at com.maddox.il2.game.GameWin3D.main(GameWin3D.java:235)
[3:32:31 AM] ERROR sfs: SFS library (fb_maps22.sfs) NOT Mounted: No such file or directory: fb_maps22.sfs
[3:32:31 AM] com.maddox.rts.SFSException: No such file or directory: fb_maps22.sfs
[3:32:31 AM] at com.maddox.rts.SFS.mount(Native Method)
[3:32:31 AM] at com.maddox.rts.cmd.CmdSFS.exec(CmdSFS.java:35)
[3:32:31 AM] at com.maddox.rts.CmdEnv.exec(CmdEnv.java:655)
[3:32:31 AM] at com.maddox.rts.cmd.CmdFile.exec(CmdFile.java:132)
[3:32:31 AM] at com.maddox.rts.CmdEnv.exec(CmdEnv.java:655)
[3:32:31 AM] at com.maddox.il2.game.Main3D.beginApp(Main3D.java:1606)
[3:32:31 AM] at com.maddox.il2.game.Main3D.beginApp(Main3D.java:1551)
[3:32:31 AM] at com.maddox.il2.game.MainWin3D.beginApp(MainWin3D.java:212)
[3:32:31 AM] at com.maddox.il2.game.Main.exec(Main.java:451)
[3:32:31 AM] at com.maddox.il2.game.GameWin3D.main(GameWin3D.java:235)
[3:32:31 AM] AutoMounting SFS files from folder SFS_AUTO now...
[3:32:31 AM] Trying to AutoMount SFS_AUTO\sasup_effects01.sfs... mounted successfully!
[3:32:31 AM] Trying to AutoMount SFS_AUTO\sas_maps_01.sfs... mounted successfully!
[3:32:31 AM] Trying to AutoMount SFS_AUTO\sas_sound_01.sfs... mounted successfully!
[3:32:31 AM] Trying to AutoMount SFS_AUTO\sas_sound_02.sfs... mounted successfully!
[3:32:31 AM] AutoMounting SFS files from folder SFS_AUTO finished.
[3:32:31 AM] INTERNAL ERROR: Str2FloatClamp() - Clamped 75 -> 32 (delta = -43) to Range 0..32
[3:32:31 AM] INTERNAL ERROR: Str2FloatClamp() - Clamped 120 -> 60 (delta = -60) to Range 0..60
[Aug 4, 2017 3:32:31 AM] -------------- END log session -------------

I have searched for the files and have not found them.  The 4.13.3M runs fine without enabling the SAS.
Thanks for your help.
Title: Re: SAS Modact 6.3 for IL-2 4.13.3m [4.13]
Post by: SAS~Storebror on August 04, 2017, 11:52:57 AM
Your game is missing the files "fb_3do28.sfs", "fb_3do29.sfs" and "fb_maps22.sfs".
This means that this...
I have followed the recommended procedures with a clean copy of 4.13.3M
...is wrong since as a matter of fact your game is not patched to 4.13.3m, it's 4.13RC4 at best.

And this...
The 4.13.3M runs fine without enabling the SAS
...is therefore plain simply a lie, where I have no idea why you are lying to us nor what you expect to gain from doing so.

Best regards - Mike
Title: Re: SAS Modact 6.3 for IL-2 4.13.3m [4.13]
Post by: 1941UH on August 04, 2017, 05:37:14 PM
Mike,
I don't lie and take offense at the suggestion that I am playing with you or anyone else.  The sign on flash screen for the game states: 13RC04M when run as the stock game.  I have downloaded the Mission4today patches.  I went to the Patch Guide and see that I have Patch 11.  I will up date and try again once I am at 4.13.3
Title: Re: SAS Modact 6.3 for IL-2 4.13.3m [4.13]
Post by: SAS~Storebror on August 04, 2017, 11:09:10 PM
I don't lie and take offense at the suggestion that I am playing with you or anyone else.
Deal with it.

The sign on flash screen for the game states: 13RC04M when run as the stock game.
See: You've wasted 5 minutes of my life.
Shall I take offense now?
Piffling trifles.

Cheers!
Mike
Title: Re: SAS Modact 6.3 for IL-2 4.13.3m [4.13]
Post by: Uzin on June 26, 2018, 03:50:47 AM
I noticed that Bf-109 F2 has not rounded shade (see pic) in both 4.13.3 and 4.13.4 SAS modded versions, while it was OK in 4.12.2 and in BAT.
Perhaps anybody else reported  this bug, then I apologise, the post cen be removed.

(https://s33.postimg.cc/e57ebafof/Bf-109_F2_in_4.13.3.jpg)
Title: Re: SAS Modact 6.3 for IL-2 4.13.3m [4.13]
Post by: western0221 on June 26, 2018, 04:09:11 AM
Here is a screenshot of stock game 4.13.4m (un-modded) / Bf 109 F2.
(https://www.mediafire.com/convkey/de92/pv80hnvihtfnq096g.jpg)

So, That's stock game version-up problem, instead of SAS Modact side.
Title: Re: SAS Modact 6.3 for IL-2 4.13.3m [4.13]
Post by: Uzin on June 26, 2018, 04:40:45 AM
I agree. TD creativity again ?
Title: Re: SAS Modact 6.3 for IL-2 4.13.3m [4.13]
Post by: max_thehitman on July 25, 2018, 03:12:51 AM
Here is a screenshot of stock game 4.13.4m (un-modded) / Bf 109 F2.

edit-picture

So, That's stock game version-up problem, instead of SAS Modact side.

Our good friend and great Mod-Artist MOLVA, from Aviaskins, has made a fix for this shadow problem
for those who which to add it to their 4.13 game version  ;)

Look for download in Reply #269 = http://195.177.105.130/showthread.php?s=cbb3426a6c522d305173bd0b10f09d6c&t=4195&page=14

THANK YOU MOLVA!  Спасибо   - Spaseeba !

 It seems to be ok in earlier modded-game versions, but  look at the airplane in your game

Cheers
MAX
Title: Re: SAS Modact 6.3 for IL-2 4.13.3m
Post by: Kelso on July 28, 2018, 01:36:56 AM
Is there any way for the game to read skins from the Paint Scheme directory, which is outside the main game directory/on another partition?? I am planning to move the game directory to an SSD drive, but my skins are so big that they will not fit there.
Title: Re: SAS Modact 6.3 for IL-2 4.13.3m
Post by: western0221 on July 28, 2018, 05:23:49 AM
A bit mystery for me ..... your question is written in one older version SAS Modact 6.3 for IL-2 4.13.3m's topic ,
instead of current version SAS Modact 6.4 for IL-2 4.13.4m's ,
By the way:

Is there any way for the game to read skins from the Paint Scheme directory, which is outside the main game directory/on another partition?? I am planning to move the game directory to an SSD drive, but my skins are so big that they will not fit there.

Your wish will be done by Windows' File system function , leaving IL-2 1946 its own or its modding.

"Junction" function gives you new folder soft-links under IL-2 1946's game folder structure as "PaintSchemes" folder from another drive / volume place.
Search references about "mklink" command with "/J" option in command prompt window.
Title: Re: SAS Modact 6.3 for IL-2 4.13.3m
Post by: Kelso on July 28, 2018, 11:00:43 AM
Thanks a lot western0221 - it works ]thumright[!